# This spec is backported to ALTLinux 4.1 automatically by rpmbh script. Do not edit it.
%define _name sensors-applet
%define ver_major 2.2

# Don't know whether we have NV-Control in Sisyphus
%def_with nvidia

Name: gnome-applets-extra-sensors
Version: %ver_major.1
Release: alt1.M41.1

Summary: GNOME Sensors Applet
Group: Graphical desktop/GNOME
License: %gpl2plus
Url: http://%_name.sourceforge.net

Source: http://downloads.sourceforge.net/%_name/%_name-%version.tar.gz
Patch1: %_name-2.2.1-alt-fix-plugin_name-linkage.patch

BuildPreReq: rpm-build-licenses rpm-build-gnome

# From configure.ac
BuildPreReq: glib2-devel >= 2.6.0
BuildPreReq: libgtk+2-devel >= 2.8.0
BuildPreReq: libgnome-panel-devel >= 2.0.0
BuildPreReq: libgnomeui-devel >= 2.8.0
BuildPreReq: libnotify-devel >= 0.3.0
BuildPreReq: libcairo-devel >= 1.0.4
BuildPreReq: libsensors-devel gnome-common
BuildPreReq: gnome-doc-utils

BuildRequires: libSM-devel libXext-devel

%if_with nvidia
BuildPreReq: nvidia-settings
%endif

BuildRequires: rpm-build-compat >= 0.95

%description
GNOME Sensors Applet is an applet for the GNOME Panel to display
readings from hardware sensors, including CPU and system temperatures,
fan speeds and voltage readings under Linux.

%package devel
Summary: Development files for GNOME Sensors Applet
Group: Development/GNOME and GTK+
Requires: %name = %version-%release

%description devel
This package provides development files and libraries needed to write more
plugins and sensors for GNOME Sensors Applet.

%prep
%setup -q -n %_name-%version
%patch1

%build
%configure \
	--enable-libnotify \
    --with-libsensors \
	%{subst_with nvidia} \
    --libexecdir=%gnome_appletsdir \
    --disable-static \
    --disable-scrollkeeper \
    --disable-schemas-install

%make_build

%install
%make_install install libexecdir=%gnome_appletsdir DESTDIR=%buildroot

%find_lang --with-gnome %_name

%files -f %_name.lang
%gnome_appletsdir/%_name
%bonobo_serversdir/*.server
%_libdir/lib%_name-plugin.so.*
%dir %_libdir/%_name
%dir %_libdir/%_name/plugins
%_libdir/%_name/plugins/lib*.so
%exclude %_libdir/%_name/plugins/lib*.la
%_datadir/gnome-2.0/ui/*
%dir %_pixmapsdir/%_name
%_pixmapsdir/%_name/*.png
%_iconsdir/hicolor/22x22/devices/%_name-*.png
%_liconsdir/%_name.png
%doc AUTHORS README ChangeLog NEWS TODO

%files devel
%dir %_includedir/%_name
%_includedir/%_name/*.h
%_libdir/lib%_name-plugin.so

%changelog
* Mon Sep 08 2008 Alexey Rusakov <ktirf@altlinux.org> 2.2.1-alt1.M41.1
- Backport to ALTLinux 4.1.

* Mon Sep 08 2008 Alexey Rusakov <ktirf@altlinux.org> 2.2.1-alt2
- Added libXext-devel to explicit buildreqs.

* Sat Dec 29 2007 Alexey Rusakov <ktirf@altlinux.org> 2.2.1-alt1
- New version (2.2.1).
- Fixed wicked linkage.
- Use macros from rpm-build-gnome.

* Sun Apr 29 2007 Alexey Rusakov <ktirf@altlinux.org> 1.7.12-alt1
- new version 1.7.12 (with rpmrb script)

* Sat Apr 21 2007 Alexey Rusakov <ktirf@altlinux.org> 1.7.11-alt1
- new version (1.7.11)

* Mon Jan 29 2007 Alexey Rusakov <ktirf@altlinux.org> 1.7.10-alt1
- new version (1.7.10)

* Wed Jun 07 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.6.1-alt2
- fixed packaging mistakes.

* Wed Jun 07 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.6.1-alt1
- new version (1.6.1)
- updated dependencies
- cleaned up the spec
- the applet now resides in %_libdir/gnome-applets.

* Mon Mar 14 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.7-alt1
- 0.7

* Mon Jan 31 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.3.0-alt1
- 0.3.0
- Thanks to voldar@ for russian translation.

* Tue Jan 25 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.2.2-alt1
- First build for Sisyphus.

